/*
 * Copyright (c) 2019-2020. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.chess.scanner;

import java.nio.charset.Charset;
import java.nio.charset.StandardCharsets;

/**
 * Store of ChessHogScanner constants.
 *
 * @author Dmitry Samoshin aka gotty
 */
public final class ChessHogScannerConstants {

    public static final Charset CHARSET = StandardCharsets.UTF_8;

    public static final String CRLF = System.getProperty("line.separator");

    public static final String PORTAL_CHESSGAMES = "chessgames";
    public static final String PORTAL_LICHESS = "lichess";
    public static final String PORTAL_CHESSBOMB = "chessbomb";
    public static final String PORTAL_CHESS24 = "chess24";
    public static final String PORTAL_CHESSCOM = "chesscom";

    public static final String PROXY_UNDEFINED = "undefined";
    public static final String PROXY_HTTP = "http";
    public static final String PROXY_SOCKS = "socks";

    private ChessHogScannerConstants() {
        throw new AssertionError(
                String.format("No %s instances!", ChessHogScannerConstants.class.getName())
        );
    }

}
